Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.tz
Class DefaultNameProvider

    java.lang.Object
      org.joda.time.tz.DefaultNameProvider

All Implemented Interfaces:
  NameProvider

    public class DefaultNameProvider

extends java.lang.Object
implements NameProvider

The default name provider acquires localized names from `java.text.DateFormatSymbols`.

DefaultNameProvider is thread-safe and immutable.

Since:
  1.0
Author:
  Brian S O'Neill

Constructor Summary
`DefaultNameProvider()`

Method Summary
`java.lang.String` | `getName(java.util.Locale locale, java.lang.String id, java.lang.String nameKey)` Returns a localized name, or null if not found.
`java.lang.String` | `getShortName(java.util.Locale locale, java.lang.String id, java.lang.String nameKey)` Returns a localized short name, or null if not found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNameProvider

    public DefaultNameProvider()

Method Detail

### getShortName

    public java.lang.String getShortName(java.util.Locale locale,
                                         java.lang.String id,
                                         java.lang.String nameKey)

  Description copied from interface: `NameProvider`
  Returns a localized short name, or null if not found.

  Specified by:
    `getShortName` in interface `NameProvider`
  Parameters:
    `locale` - locale to use for selecting name set
    `id` - time zone id
    `nameKey` - time zone name key

### getName

    public java.lang.String getName(java.util.Locale locale,
                                    java.lang.String id,
                                    java.lang.String nameKey)

  Description copied from interface: `NameProvider`
  Returns a localized name, or null if not found.

  Specified by:
    `getName` in interface `NameProvider`
  Parameters:
    `locale` - locale to use for selecting name set
    `id` - time zone id
    `nameKey` - time zone name key

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD